CREATE TABLE T_POS_INTERNET_TICKETI
(
ID                        NUMERIC             NOT NULL,
ID_KASE                   NUMERIC             NOT NULL,
ID_SO                     NUMERIC             ,
ID_RACUNA                 NUMERIC             ,
ID_STAVKE                 NUMERIC             ,
ID_GOSTA                  NUMERIC             ,
REDNI_BROJ_NARUDZBE       NUMERIC             ,
DATUM_ZAHTJEVA            DATE                NOT NULL,
DATUM_ISTEKA              TIMESTAMP (6)       ,
TRAJANJE                  NUMERIC             ,
KONOBAR                   VARCHAR2(30)        NOT NULL,
GODINA                    VARCHAR2(4)         NOT NULL,
USERNAME                  VARCHAR2(20)        NOT NULL,
PASSWORD                  VARCHAR2(20)        NOT NULL,
NAPOMENA                  VARCHAR2(240)       ,
CONSTRAINT T_POS_TIC_PK PRIMARY KEY (ID),
CONSTRAINT T_POS_TIC_KAS_FK FOREIGN KEY (ID_KASE) REFERENCES M_POS_KASE (ID)
);

CREATE INDEX T_POS_INT_KAS_I ON T_POS_INTERNET_TICKETI
(ID_KASE);

CREATE INDEX T_POS_INT_RAC_I ON T_POS_INTERNET_TICKETI
(ID_RACUNA);

CREATE INDEX T_POS_INT_KAS_RAC_I ON T_POS_INTERNET_TICKETI
(ID_KASE, ID_RACUNA);

GRANT ALTER ON L_POS_LOG                      TO POS_INST;
GRANT ALTER ON L_POS_RACUNI_FISK              TO POS_INST;
GRANT ALTER ON M_POS_AKCIJE_KONOBARA          TO POS_INST;
GRANT ALTER ON M_POS_ARTIKLI                  TO POS_INST;
GRANT ALTER ON M_POS_ARTIKLI_CJENIKA          TO POS_INST;
GRANT ALTER ON M_POS_CHRON_JOB                TO POS_INST;
GRANT ALTER ON M_POS_CHRON_OBJECT             TO POS_INST;
GRANT ALTER ON M_POS_CJENICI                  TO POS_INST;
GRANT ALTER ON M_POS_CJENICI_KONOBARA         TO POS_INST;
GRANT ALTER ON M_POS_CJENICI_VN               TO POS_INST;
GRANT ALTER ON M_POS_GRUPE_ARTIKALA           TO POS_INST;
GRANT ALTER ON M_POS_GRUPE_KASA               TO POS_INST;
GRANT ALTER ON M_POS_GRUPE_STAVAKA            TO POS_INST;
GRANT ALTER ON M_POS_KASA_PARAMETRI           TO POS_INST;
GRANT ALTER ON M_POS_KASE                     TO POS_INST;
GRANT ALTER ON M_POS_KEYBOARD_ARTIKAL         TO POS_INST;
GRANT ALTER ON M_POS_KEYBOARD_FUNKCIJA        TO POS_INST;
GRANT ALTER ON M_POS_KEYBOARD_ITEM            TO POS_INST;
GRANT ALTER ON M_POS_KONOBARI                 TO POS_INST;
GRANT ALTER ON M_POS_KONOBARI_LOZINKE         TO POS_INST;
GRANT ALTER ON M_POS_KUPCI                    TO POS_INST;
GRANT ALTER ON M_POS_MENU_ARTIKAL             TO POS_INST;
GRANT ALTER ON M_POS_MENU_FUNKCIJE            TO POS_INST;
GRANT ALTER ON M_POS_MENU_ITEM                TO POS_INST;
GRANT ALTER ON M_POS_MENU_SLOJ                TO POS_INST;
GRANT ALTER ON M_POS_MJESTA_TROSKA            TO POS_INST;
GRANT ALTER ON M_POS_OMAN_GRUPE_ARTIKALA      TO POS_INST;
GRANT ALTER ON M_POS_OMAN_GRUPE_ARTIKALA_VEZA TO POS_INST;
GRANT ALTER ON M_POS_OMAN_LOZINKE             TO POS_INST;
GRANT ALTER ON M_POS_OMAN_SCANCODEAKCIJE      TO POS_INST;
GRANT ALTER ON M_POS_PARAMETAR                TO POS_INST;
GRANT ALTER ON M_POS_PID                      TO POS_INST;
GRANT ALTER ON M_POS_POREZNA_ISPORUKA         TO POS_INST;
GRANT ALTER ON M_POS_POREZNE_GRUPE            TO POS_INST;
GRANT ALTER ON M_POS_POREZNI_DOGADJAJ         TO POS_INST;
GRANT ALTER ON M_POS_PRINT_PARAMETRI          TO POS_INST;
GRANT ALTER ON M_POS_PROTEL_POREZ             TO POS_INST;
GRANT ALTER ON M_POS_VNS                      TO POS_INST;
GRANT ALTER ON M_POS_VRSTE_NAPLATE            TO POS_INST;
GRANT ALTER ON T_POS_DETALJI_NAPLATE          TO POS_INST;
GRANT ALTER ON T_POS_INTERNET_TICKETI         TO POS_INST;
GRANT ALTER ON T_POS_NAPLATE_RACUNA           TO POS_INST;
GRANT ALTER ON T_POS_NARUDZBE_BROJAC          TO POS_INST;
GRANT ALTER ON T_POS_PORUKE                   TO POS_INST;
GRANT ALTER ON T_POS_RACUNI                   TO POS_INST;
GRANT ALTER ON T_POS_RACUNI_BROJAC            TO POS_INST;
GRANT ALTER ON T_POS_STAVKE                   TO POS_INST;

GRANT EXECUTE ON PRA_POS_IP TO POS_OPERATER;
GRANT EXECUTE ON PRA_POS_IP TO POS_MANAGER;

GRANT DELETE, INSERT, SELECT, UPDATE ON T_POS_INTERNET_TICKETI TO POS_INST;
GRANT SELECT ON T_POS_INTERNET_TICKETI TO POS_MANAGER;
GRANT DELETE, INSERT, SELECT, UPDATE ON T_POS_INTERNET_TICKETI TO POS_OPERATER;


ALTER TABLE L_POS_LOG ADD TIP VARCHAR2(20);

ALTER TABLE L_POS_LOG ADD DATUM_VRIJEME TIMESTAMP(6) ;

UPDATE L_POS_LOG SET TIP = 'OPERA_RACUNI';

UPDATE L_POS_LOG SET DATUM_VRIJEME = UNOS_DATUM;



CREATE INDEX L_POS_LOG_NAZ_TIP_I ON L_POS_LOG
(ID_KASE, NAZIV, TIP);

CREATE INDEX L_POS_LOG_NAZ_TIP_DAT_I ON L_POS_LOG
(ID_KASE, NAZIV, TIP,DATUM_VRIJEME);

ALTER TABLE M_POS_KASE DROP COLUMN VS_PORT;

ALTER TABLE M_POS_KASE DROP COLUMN VS_SERVER;

ALTER TABLE M_POS_ARTIKLI ADD TEHNOLOSKA_GRUPA VARCHAR2(40);

ALTER TABLE M_POS_ARTIKLI ADD PARAMETAR VARCHAR2(100) default '';

ALTER TABLE T_POS_STAVKE ADD PARAMETAR VARCHAR2(100) default '';

ALTER TABLE M_POS_KASA_PARAMETRI MODIFY VALUE VARCHAR2(2000) default '';