ALTER TABLE M_POS_KASE ADD FISK_SUSTAV VARCHAR2(20);

UPDATE M_POS_KASE SET FISK_SUSTAV = 'HR';

ALTER TABLE M_POS_KONOBARI ADD FOREIGN_OPERATOR VARCHAR2(1) DEFAULT ('N')  NOT NULL;

ALTER TABLE T_POS_RACUNI ADD FOREIGN_OPERATOR VARCHAR2(1) DEFAULT ('N')  NOT NULL;

ALTER TABLE T_POS_RACUNI ADD PARAGON_SI VARCHAR2(20);

ALTER TABLE T_POS_RACUNI ADD PARAGON_SET VARCHAR2(2);

ALTER TABLE T_POS_RACUNI ADD PARAGON_SERIJA VARCHAR2(12);

CREATE TABLE L_POS_LOG_PRINT
(
ID                        NUMERIC                      NOT NULL,
ID_KASE                   NUMERIC                      NOT NULL,
ID_RACUNA                 NUMERIC                      NOT NULL,
RBR_RACUNA                INTEGER                      NOT NULL,
TIP                       VARCHAR2(20)                         ,
BR_PRIMJERAKA             NUMERIC                      NOT NULL,
NAZIV_KONOBARA            VARCHAR2(80)                         ,
DATUM_KASE                DATE                         ,
DATUM_I_VRIJEME_PRINTA    TIMESTAMP(6)                         ,
DATUM_I_VRIJEME_RACUNA    TIMESTAMP(6)                         ,
NAPOMENA                  VARCHAR2(1000)                       ,
CONSTRAINT L_POS_LOG_pr_PK PRIMARY KEY (ID),
CONSTRAINT L_POS_LOG_KAS_PR_FK FOREIGN KEY (ID_KASE) REFERENCES M_POS_KASE (ID),
CONSTRAINT L_POS_LOG_RC_PR_FK FOREIGN KEY (ID_RACUNA) REFERENCES T_POS_RACUNI (ID)
);

GRANT DELETE, INSERT, SELECT, UPDATE ON L_POS_LOG_PRINT TO POS_INST;
GRANT DELETE, INSERT, SELECT, UPDATE ON L_POS_LOG_PRINT TO POS_MANAGER;
GRANT INSERT, SELECT, UPDATE ON L_POS_LOG_PRINT TO POS_OPERATER;

CREATE INDEX L_POS_PR_LOG_ID_RC_I ON L_POS_LOG_PRINT
(ID_KASE, ID_RACUNA);

CREATE INDEX L_POS_LOG_PR_TIP_I ON L_POS_LOG_PRINT
(ID_KASE, TIP);

CREATE INDEX L_POS_LOG_PR_TIP_DAT_I ON L_POS_LOG_PRINT
(ID_KASE, TIP, DATUM_KASE);

CREATE INDEX L_POS_LOG_PR_PRINT_DAT_I ON L_POS_LOG_PRINT
(ID_KASE, TIP, DATUM_I_VRIJEME_PRINTA);
