CREATE TABLE L_POS_RACUNI_FISK
(
  ID                NUMERIC        NOT NULL,
  ID_RACUNA         NUMERIC        NOT NULL,
  ID_FISK_PORUKE    VARCHAR2(36)           ,
  DATUM_I_VRIJEME_OBRADE TIMESTAMP         ,
  SIFRA_GRESKE      VARCHAR2(4)            ,
  PORUKA            VARCHAR2(1000)          ,
  VERZIJA           NUMERIC                ,
  UNOS_KORISNIK     VARCHAR2(60)           ,
  UNOS_DATUM        DATE                   ,
  IZMJENA_KORISNIK  VARCHAR2(60)           ,
  IZMJENA_DATUM     DATE                   ,
  CONSTRAINT M_POS_FISK_UK UNIQUE (ID_FISK_PORUKE),
  CONSTRAINT M_POS_FISK_PK PRIMARY KEY (ID),
  CONSTRAINT M_POS_FISK_RN_FK FOREIGN KEY (ID_RACUNA) REFERENCES T_POS_RACUNI (ID)
);

CREATE INDEX M_POS_FISK_RN_FK_I ON L_POS_RACUNI_FISK (ID_RACUNA);

ALTER TABLE M_POS_KASE ADD POSL_POSTOR VARCHAR2(11);
ALTER TABLE M_POS_KASE ADD OIB VARCHAR2(11);
ALTER TABLE M_POS_KASE ADD U_SUSTAVU_PDV VARCHAR2(1) DEFAULT ('N') NOT NULL;
ALTER TABLE M_POS_KASE ADD FISKALIZACIJA DATE;

ALTER TABLE M_POS_KONOBARI ADD OIB VARCHAR2(11);

ALTER TABLE M_POS_VRSTE_NAPLATE ADD FISKALIZACIJA VARCHAR2(1) DEFAULT ('N') NOT NULL;

ALTER TABLE T_POS_RACUNI ADD OIB_KONOBARA VARCHAR2(11);
ALTER TABLE T_POS_RACUNI ADD JIR VARCHAR2(36);
ALTER TABLE T_POS_RACUNI ADD ZASTITNI_KOD VARCHAR2(32);
ALTER TABLE T_POS_RACUNI ADD PARAGON VARCHAR2(100);

ALTER TABLE T_POS_NAPLATE_RACUNA ADD SREDSTVO_PLA_SIFRA VARCHAR2(20);

ALTER TABLE M_POS_POREZNA_ISPORUKA ADD SZMP_SIFRA VARCHAR2(20);
