CREATE INDEX T_POS_RACUNI_XDP ON  T_POS_RACUNI (ID_KASE,REDNI_BROJ_RACUNA,ID_STORNA,REDNI_BROJ_NARUDZBE);

CREATE INDEX T_POS_RACUNI_GOD_BRN ON  T_POS_RACUNI (GODINA,REDNI_BROJ_NARUDZBE);

ALTER TABLE M_POS_OMAN_GRUPE_ARTIKALA_VEZA ADD REDOSLJED NUMERIC DEFAULT (0) NOT NULL;

ALTER TABLE M_POS_ARTIKLI ADD KNJIGOVODSTVENA_GRUPA VARCHAR2(2);
ALTER TABLE T_POS_STAVKE ADD KNJIGOVODSTVENA_GRUPA VARCHAR2(2);

ALTER TABLE M_POS_CJENICI ADD MJESTO_PRIHODA VARCHAR2(10);
ALTER TABLE T_POS_RACUNI ADD MJESTO_PRIHODA VARCHAR2(10);

ALTER TABLE M_POS_KASE ADD VS_SERVER VARCHAR2(30);
ALTER TABLE M_POS_KASE ADD VS_PORT NUMERIC;

CREATE TABLE M_POS_KASA_PARAMETRI
(
ID                        NUMERIC                      NOT NULL,
ID_KASE                   NUMERIC                      NOT NULL,
TIP                      VARCHAR2(20)                 NOT NULL,
KEY                       VARCHAR2(80)                 NOT NULL,
VALUE                     VARCHAR2(400)                         ,
CONSTRAINT M_POS_KP_PK PRIMARY KEY (ID),
CONSTRAINT M_POS_KP_KAS_FK FOREIGN KEY (ID_KASE) REFERENCES M_POS_KASE (ID)
);

GRANT DELETE, INSERT, SELECT, UPDATE ON M_POS_KASA_PARAMETRI TO POS_INST;
GRANT DELETE, INSERT, SELECT, UPDATE ON M_POS_KASA_PARAMETRI TO POS_MANAGER;
GRANT SELECT, UPDATE ON M_POS_KASA_PARAMETRI TO POS_OPERATER;

ALTER TABLE T_POS_RACUNI ADD EXPORT_VANJSKI_SUSTAV VARCHAR2(1)  DEFAULT ('Y')  NOT NULL;

ALTER TABLE T_POS_RACUNI MODIFY EXPORT_VANJSKI_SUSTAV DEFAULT ('N');

ALTER TABLE M_POS_KASE ADD OFLINE VARCHAR2(1)  DEFAULT ('N')  NOT NULL;

CREATE INDEX L_POS_LOG_NAZ_I ON L_POS_LOG
(ID_KASE, NAZIV);

CREATE INDEX L_POS_LOG_DAT_I ON L_POS_LOG
(ID_KASE, UNOS_DATUM);

CREATE INDEX L_POS_LOG_NAZ_DAT_I ON L_POS_LOG
(ID_KASE, NAZIV, UNOS_DATUM);


ALTER TABLE M_POS_POREZNI_DOGADJAJ ADD OPIS VARCHAR2(80) DEFAULT '';