ALTER TABLE M_POS_KASE ADD ONLINE_PRIJEPIS_PROMETA VARCHAR2(1) DEFAULT 'N' NOT NULL;

CREATE TABLE P_POS_NARUDZBE_GOSTA
(
ID                 NUMERIC(32)      NOT NULL,
RBR                VARCHAR(20)      NOT NULL,
ID_KONOBARA        NUMERIC(32)  ,
ID_NARUDZBE        NUMERIC(32)  ,
SIFRA_KASE         VARCHAR(40)      NOT NULL,
SIFRA_CJENIKA      VARCHAR(40)      NOT NULL,
STOL               NUMERIC(32)      NOT NULL,
DATUM_I_VRIJEME    TIMESTAMP(6)     NOT NULL,
GODINA             NUMERIC(4)       NOT NULL,
TOTAL NUMBER(12,2) DEFAULT (0)      NOT NULL,

CONSTRAINT M_POS_NG_PK PRIMARY KEY (ID),
CONSTRAINT P_POS_GOST_NAR_FK FOREIGN KEY (ID_NARUDZBE) REFERENCES T_POS_RACUNI (ID),
CONSTRAINT P_POS_GOST_KON_FK FOREIGN KEY (ID_KONOBARA) REFERENCES M_POS_KONOBARI (ID)
);
CREATE UNIQUE INDEX P_POS_NAR_GOST_UK ON P_POS_NARUDZBE_GOSTA
(SIFRA_KASE, RBR,GODINA);

CREATE TABLE P_POS_NARUDZBE_GOSTA_STAVKE
(
ID                 NUMERIC(32)          NOT NULL,
ID_NARUDZBE_GOSTA  NUMERIC(32)          NOT NULL,
SIFRA_ARTIKLA      VARCHAR(40)          NOT NULL,
KOLICINA           NUMERIC(5,3)         NOT NULL,
DATUM_I_VRIJEME    TIMESTAMP(6)         NOT NULL,
IZNOS NUMERIC(13,2)                     NOT NULL,

CONSTRAINT M_POS_NSG_PK PRIMARY KEY (ID),
CONSTRAINT P_POS_STAV_NAR_GOST_FK FOREIGN KEY (ID_NARUDZBE_GOSTA) REFERENCES P_POS_NARUDZBE_GOSTA (ID)
);


GRANT ALTER, DELETE, INSERT, SELECT, UPDATE ON P_POS_NARUDZBE_GOSTA TO POS_INST;
GRANT INSERT, SELECT, UPDATE ON P_POS_NARUDZBE_GOSTA TO POS_MANAGER;
GRANT INSERT, SELECT, UPDATE ON P_POS_NARUDZBE_GOSTA TO POS_OPERATER;

GRANT ALTER, DELETE, INSERT, SELECT, UPDATE ON P_POS_NARUDZBE_GOSTA_STAVKE TO POS_INST;
GRANT INSERT, SELECT, UPDATE ON P_POS_NARUDZBE_GOSTA_STAVKE TO POS_MANAGER;
GRANT INSERT, SELECT, UPDATE ON P_POS_NARUDZBE_GOSTA_STAVKE TO POS_OPERATER;

ALTER TABLE T_POS_RACUNI ADD PD_ZKI VARCHAR2(32);
ALTER TABLE T_POS_RACUNI ADD PD_JIR VARCHAR2(36);